<?php 
//Añade un nuevo usuario al sistema, validando que las contraseñas introducidas coincidan y controlando que no exista nadie registrado con 
//el mismo nombre de usuario
$server = "localhost"; 
$username = "root"; 
$password = "opsivir"; 
$database = "prueba"; 

$con = mysql_connect($server, $username, $password) or die ("No se conecto: " . mysql_error());

 mysql_select_db($database, $con); 
 
 $nickname = mysql_escape_string($_GET["usuario"]);
 $contrasena = mysql_escape_string(md5($_GET["password"]));
 $repeat = mysql_escape_string(md5($_GET["repeat"]));

 $resultados = array();
  //Si las contraseñas coinciden
 if($contrasena === $repeat){
 	$resultAux =  mysql_query("SELECT nickname FROM usuarios WHERE '$nickname' = nickname");
 	$resultados["mensaje"] = "You have successfully signed up"; 
 	$resultados["validacion"] = "ok";
 	//Si no hay nadie registrado con ese nombre
 	if(mysql_num_rows($resultAux) == 0){
 		$result =  mysql_query("INSERT INTO usuarios (nickname, password,enMochila) VALUES ('$nickname', '$contrasena','No')");
 		mkdir("C:/xampp/htdocs/tfg/uploads/".$nickname, 0700);
 	}else{
 		$resultados["mensaje"] = "Username unavailable";
 		$resultados["validacion"] = "error";
 	}	
 
 mysql_close($con);

 }else{
 		$resultados["mensaje"] = "Passwords do not match";
 		$resultados["validacion"] = "error";
 }
	$resultadosJson = json_encode($resultados);
	echo $_GET['jsoncallback'] . '(' . $resultadosJson . ');';
 ?>